create table if not exists `tb_apps_detail1` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `UID` bigint(20) DEFAULT NULL COMMENT '上传应用的开发者用户唯一标识(来自用户系统)',
  `name` varchar(50) DEFAULT NULL,
  `appId` varchar(50) DEFAULT NULL COMMENT 'appid 如果 审核通过使用 server库中的id',
  `totalPoint` bigint(15) DEFAULT '0',
  `typesId` bigint(11) DEFAULT NULL COMMENT '采集id',
  `mtypeCode` varchar(50) DEFAULT NULL COMMENT '主类型 1-应用 2-游戏',
  `typeCode` varchar(50) DEFAULT NULL COMMENT '小类型',
  `appUpType` int(1) DEFAULT '0' COMMENT '0-采集 1-开发者上传 2-后台上传',
  `recommend` int(1) DEFAULT '0' COMMENT '1-推荐',
  `trend` int(11) DEFAULT '0' COMMENT '上升趋势',
  `size` int(11) DEFAULT NULL COMMENT '包大小',
  `apkSize` varchar(50) DEFAULT NULL COMMENT 'apk大小',
  `apkPath` varchar(200) DEFAULT NULL COMMENT 'apk下载地址',
  `iconPath` varchar(200) DEFAULT NULL COMMENT 'icon 地址',
  `picPath` varchar(1000) DEFAULT NULL COMMENT '截图 地址',
  `status` varchar(20) DEFAULT '0' COMMENT 'APK审核状态，0等待审核 1审核中 2未通过审核 3下架审核中  4已下架 5已发布6存在未认领7认领失败 8更新待审核 9更新审核中 10更新历史应用 11更新审核不通过',
  `detail` varchar(5000) DEFAULT NULL COMMENT '摘要',
  `systemName` varchar(50) DEFAULT NULL COMMENT '系统名',
  `versionCode` varchar(50) DEFAULT NULL COMMENT '小版本号',
  `sign` varchar(20) DEFAULT '0' COMMENT '卡巴杀毒结果：100 未扫描，0无毒',
  `safeType` varchar(20) DEFAULT '0' COMMENT '0未知,1安全软件,2病毒软件,3中风险软件,4低风险软件',
  `uses_permission` longtext COMMENT '应用权限',
  `update_info` longtext COMMENT '版本更新信息',
  `screenCompatibleNum` varchar(200) DEFAULT NULL COMMENT '支持的屏幕分辨率数字，有多个如1,2,3',
  `sdkVersion` varchar(20) DEFAULT '0' COMMENT '操作系统类型 1 -19 和server库相同',
  `searchTag` varchar(200) DEFAULT NULL COMMENT '搜索关键字，逗号分隔',
  `pubCountry` varchar(20) DEFAULT NULL COMMENT '发布国家',
  `linkManEmail` varchar(100) DEFAULT NULL COMMENT '联系人邮件',
  `linkManPhone` varchar(30) DEFAULT NULL COMMENT '联系人手机',
  `discription` longtext COMMENT '描述',
  `isVirus` varchar(50) DEFAULT NULL,
  `version` varchar(50) DEFAULT NULL COMMENT '版本',
  `detailId` varchar(50) DEFAULT NULL,
  `smallIcon` varchar(50) DEFAULT NULL,
  `totalCount` bigint(15) DEFAULT NULL,
  `mediumIcon` varchar(50) DEFAULT NULL,
  `virusIcon` varchar(50) DEFAULT NULL,
  `apkId` varchar(200) DEFAULT NULL COMMENT '包名',
  `minSDK` varchar(50) DEFAULT NULL,
  `starNum` varchar(50) DEFAULT NULL COMMENT '星级',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `downloadTotalNum` bigint(15) DEFAULT '0' COMMENT '下载次数',
  `largeIcon` varchar(50) DEFAULT NULL COMMENT '大图标',
  `md5` varchar(50) DEFAULT NULL COMMENT 'APK MD5',
  `md5Cert` varchar(50) DEFAULT NULL COMMENT '签名MD5',
  `webFrom` varchar(50) DEFAULT NULL COMMENT '开发商',
  `isFeatured` varchar(50) DEFAULT NULL,
  `isNewReleases` varchar(50) DEFAULT NULL,
  `indeximage` int(11) unsigned zerofill DEFAULT NULL,
  `tuijian` int(11) unsigned zerofill DEFAULT NULL,
  `bendi_app` int(11) unsigned zerofill DEFAULT '00000000000',
  `user_id` int(11) DEFAULT NULL COMMENT '添加人的id号',
  PRIMARY KEY (`id`),
  KEY `typesId` (`typesId`),
  KEY `md5` (`md5`),
  KEY `appId` (`appId`)
) ENGINE=MyISAM AUTO_INCREMENT=3354 DEFAULT CHARSET=utf8 COMMENT='应用 游戏 详情表  typeCode 对应tb_category的id；mtypeCode 1:应用2:游戏 ';

create table if not exists `tb_apps` (
  `id` bigint(50) NOT NULL AUTO_INCREMENT,
  `app_id` varchar(20) DEFAULT NULL,
  `fancy` int(1) DEFAULT '0' COMMENT '1-精选',
  `title` varchar(100) DEFAULT NULL,
  `sequence` int(2) DEFAULT NULL COMMENT '排序',
  `state` int(1) DEFAULT '0' COMMENT '0-无效 1-有效',
  `picture_path1` varchar(100) DEFAULT NULL,
  `picture_path2` varchar(100) DEFAULT NULL,
  `picture_path3` varchar(100) DEFAULT NULL,
  `picture_path` varchar(100) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `mtype_code` varchar(100) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `lunbo` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='专题';

create table if not exists `tb_apps_detail` (
`id` bigint(20) NOT NULL AUTO_INCREMENT,
  `UID` bigint(20) DEFAULT NULL COMMENT '上传应用的开发者用户唯一标识(来自用户系统)',
  `name` varchar(50) DEFAULT NULL,
  `appId` varchar(50) DEFAULT NULL COMMENT 'appid 如果 审核通过使用 server库中的id',
  `totalPoint` bigint(15) DEFAULT '0',
  `typesId` bigint(11) DEFAULT NULL COMMENT '采集id',
  `mtypeCode` varchar(50) DEFAULT NULL COMMENT '主类型 1-应用 2-游戏',
  `typeCode` varchar(50) DEFAULT NULL COMMENT '小类型',
  `appUpType` int(1) DEFAULT '0' COMMENT '0-采集 1-开发者上传 2-后台上传',
  `recommend` int(1) DEFAULT '0' COMMENT '1-推荐',
  `trend` int(11) DEFAULT '0' COMMENT '上升趋势',
  `size` int(11) DEFAULT NULL COMMENT '包大小',
  `apkSize` varchar(50) DEFAULT NULL COMMENT 'apk大小',
  `apkPath` varchar(200) DEFAULT NULL COMMENT 'apk下载地址',
  `iconPath` varchar(200) DEFAULT NULL COMMENT 'icon 地址',
  `picPath` varchar(1000) DEFAULT NULL COMMENT '截图 地址',
  `status` varchar(20) DEFAULT '0' COMMENT 'APK审核状态，0等待审核 1审核中 2未通过审核 3下架审核中  4已下架 5已发布6存在未认领7认领失败 8更新待审核 9更新审核中 10更新历史应用 11更新审核不通过',
  `detail` varchar(5000) DEFAULT NULL COMMENT '摘要',
  `systemName` varchar(50) DEFAULT NULL COMMENT '系统名',
  `versionCode` varchar(50) DEFAULT NULL COMMENT '小版本号',
  `sign` varchar(20) DEFAULT '0' COMMENT '卡巴杀毒结果：100 未扫描，0无毒',
  `safeType` varchar(20) DEFAULT '0' COMMENT '0未知,1安全软件,2病毒软件,3中风险软件,4低风险软件',
  `uses_permission` longtext COMMENT '应用权限',
  `update_info` longtext COMMENT '版本更新信息',
  `screenCompatibleNum` varchar(200) DEFAULT NULL COMMENT '支持的屏幕分辨率数字，有多个如1,2,3',
  `sdkVersion` varchar(20) DEFAULT '0' COMMENT '操作系统类型 1 -19 和server库相同',
  `searchTag` varchar(200) DEFAULT NULL COMMENT '搜索关键字，逗号分隔',
  `pubCountry` varchar(20) DEFAULT NULL COMMENT '发布国家',
  `linkManEmail` varchar(100) DEFAULT NULL COMMENT '联系人邮件',
  `linkManPhone` varchar(30) DEFAULT NULL COMMENT '联系人手机',
  `discription` longtext COMMENT '描述',
  `isVirus` varchar(50) DEFAULT NULL,
  `version` varchar(50) DEFAULT NULL COMMENT '版本',
  `detailId` varchar(50) DEFAULT NULL,
  `smallIcon` varchar(50) DEFAULT NULL,
  `totalCount` bigint(15) DEFAULT NULL,
  `mediumIcon` varchar(50) DEFAULT NULL,
  `virusIcon` varchar(50) DEFAULT NULL,
  `apkId` varchar(200) DEFAULT NULL COMMENT '包名',
  `minSDK` varchar(50) DEFAULT NULL,
  `starNum` varchar(50) DEFAULT NULL COMMENT '星级',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `downloadTotalNum` bigint(15) DEFAULT '0' COMMENT '下载次数',
  `largeIcon` varchar(50) DEFAULT NULL COMMENT '大图标',
  `md5` varchar(50) DEFAULT NULL COMMENT 'APK MD5',
  `md5Cert` varchar(50) DEFAULT NULL COMMENT '签名MD5',
  `webFrom` varchar(50) DEFAULT NULL COMMENT '开发商',
  `starTotal` bigint(20) DEFAULT NULL COMMENT '评论次数',
  `isFeatured` varchar(50) DEFAULT NULL,
  `isNewReleases` varchar(50) DEFAULT NULL,
  `indeximage` int(11) unsigned zerofill DEFAULT NULL COMMENT '是否为首页大图',
  `tuijian` int(11) unsigned zerofill DEFAULT NULL,
  `bendi_app` int(11) unsigned zerofill DEFAULT '00000000000',
  `bendiurl` int(11) unsigned zerofill DEFAULT NULL COMMENT '1为本地图片地址',
  `guanggao` int(11) unsigned zerofill DEFAULT '00000000000',
  PRIMARY KEY (`id`),
  KEY `typesId` (`typesId`),
  KEY `md5` (`md5`),
  KEY `appId` (`appId`)
) ENGINE=MyISAM AUTO_INCREMENT=3350 DEFAULT CHARSET=utf8 COMMENT='应用 游戏 详情表  typeCode 对应tb_category的id；mtypeCode 1:应用2:游戏 ';

create table if not exists `tb_apps_detail_pictures` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `app_detail_id` bigint(11) DEFAULT NULL COMMENT '应用id',
  `md5` varchar(100) DEFAULT NULL,
  `pic_name` varchar(200) DEFAULT NULL,
  `pic_small` varchar(200) DEFAULT NULL,
  `state` int(1) NOT NULL DEFAULT '0' COMMENT '0-未审核 1-审核通过',
  PRIMARY KEY (`id`),
  KEY `app_detail_id` (`app_detail_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14546 DEFAULT CHARSET=utf8;

create table if not exists `tb_apps_sql` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '记录数据库ID',
  `name` varchar(255) DEFAULT NULL COMMENT '数据库名字',
  `createtime` datetime DEFAULT NULL COMMENT '时间',
  `file_url` varchar(255) DEFAULT NULL COMMENT '保存文件位置',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

create table if not exists `tb_apps_user` (
    `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `userTel` varchar(20) DEFAULT NULL COMMENT '用户手机(登录名)',
  `email` varchar(30) DEFAULT NULL COMMENT '邮箱(登录名)',
  `password` varchar(32) DEFAULT NULL,
  `username` varchar(30) DEFAULT NULL COMMENT '邮箱',
  `nicname` varchar(30) DEFAULT NULL COMMENT '用户昵称',
  `type` int(1) DEFAULT NULL COMMENT '1-android 2-pc(手机端pc端通用账号)',
  `status` int(1) DEFAULT '0' COMMENT '0-未通过验证 1-通过验证',
  `verificationCode` varchar(10) DEFAULT NULL COMMENT '验证码',
  `headpic` varchar(30) DEFAULT NULL COMMENT '用户头像',
  `createTime` datetime DEFAULT NULL,
  `loginTime` datetime DEFAULT NULL,
  `password1` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

create table if not exists `tb_category` (
 `id` bigint(50) NOT NULL AUTO_INCREMENT,
  `typeId` varchar(50) DEFAULT NULL,
  `typeName` varchar(50) NOT NULL,
  `mtypeCode` varchar(50) NOT NULL,
  `typeCode` varchar(50) DEFAULT NULL,
  `fancy` int(1) DEFAULT '0' COMMENT '1-热门标签',
  `sequence` varchar(50) DEFAULT NULL,
  `picturePath` varchar(200) DEFAULT NULL,
  `display` varchar(50) DEFAULT NULL,
  `createTime` datetime DEFAULT NULL,
  `updateTime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=125 DEFAULT CHARSET=utf8;

create table if not exists `tb_comment` (
  `id` bigint(50) NOT NULL AUTO_INCREMENT,
  `mtypeCode` varchar(50) DEFAULT NULL COMMENT '1:应用；2：游戏；3：壁纸；4：新闻',
  `typeId` varchar(50) DEFAULT NULL COMMENT 'id',
  `content` varchar(1000) DEFAULT NULL COMMENT '评论内容',
  `creatTime` datetime DEFAULT NULL,
  `createrName` varchar(50) DEFAULT NULL COMMENT '创建人姓名',
  `createrId` varchar(50) DEFAULT NULL COMMENT '创建人id',
  `status` varchar(50) DEFAULT NULL COMMENT '状态：0无效  1有效',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

create table if not exists `tb_news` (
    `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `mtypeCode` varchar(20) DEFAULT NULL COMMENT '分类',
  `title` varchar(200) DEFAULT NULL COMMENT '标题',
  `seeNum` bigint(20) DEFAULT '0' COMMENT '点击量',
  `updaterId` varchar(50) DEFAULT NULL COMMENT '修改人',
  `createrId` varchar(50) DEFAULT NULL COMMENT '创建人',
  `description` varchar(1000) DEFAULT NULL COMMENT '简述',
  `picturePath` varchar(100) DEFAULT NULL COMMENT '图片地址',
  `path` varchar(100) DEFAULT NULL,
  `cotent` mediumtext COMMENT '路径',
  `createTime` datetime DEFAULT NULL,
  `updateTime` datetime DEFAULT NULL,
  `remen` int(11) unsigned zerofill DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

create table if not exists `tb_keyword` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `asc` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

create table if not exists `tb_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `file_url` varchar(255) DEFAULT NULL COMMENT '文件存放的路径',
  `createtime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

create table if not exists `tb_seo` (
    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'SEO关键字ID',
  `title` varchar(255) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `title_type` int(11) DEFAULT NULL COMMENT '1,关键字；2,描述,3,站点名称,4,标题',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

create table if not exists `tb_links` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '连接名称',
  `url` varchar(255) DEFAULT NULL COMMENT '连接地址',
  `createtime` datetime DEFAULT NULL COMMENT '添加时间',
  `content` varchar(255) DEFAULT NULL COMMENT '连接描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


create table if not exists `tb_guanggao` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `totalPoint` bigint(15) DEFAULT '0',
  `typesId` bigint(11) DEFAULT NULL COMMENT '采集id',
  `mtypeCode` varchar(50) DEFAULT NULL COMMENT '主类型 1-应用 2-游戏',
  `typeCode` varchar(50) DEFAULT NULL COMMENT '小类型',
  `appUpType` int(1) DEFAULT '0' COMMENT '0-采集 1-开发者上传 2-后台上传',
  `recommend` int(1) DEFAULT '0' COMMENT '1-推荐',
  `trend` int(11) DEFAULT '0' COMMENT '上升趋势',
  `size` int(11) DEFAULT NULL COMMENT '包大小',
  `apkSize` varchar(50) DEFAULT NULL COMMENT 'apk大小',
  `apkPath` varchar(200) DEFAULT NULL COMMENT 'apk下载地址',
  `iconPath` varchar(200) DEFAULT NULL COMMENT 'icon 地址',
  `picPath` varchar(1000) DEFAULT NULL COMMENT '截图 地址',
  `status` varchar(20) DEFAULT '0' COMMENT 'APK审核状态，0等待审核 1审核中 2未通过审核 3下架审核中  4已下架 5已发布6存在未认领7认领失败 8更新待审核 9更新审核中 10更新历史应用 11更新审核不通过',
  `detail` varchar(5000) DEFAULT NULL COMMENT '摘要',
  `systemName` varchar(50) DEFAULT NULL COMMENT '系统名',
  `versionCode` varchar(50) DEFAULT NULL COMMENT '小版本号',
  `sign` varchar(20) DEFAULT '0' COMMENT '卡巴杀毒结果：100 未扫描，0无毒',
  `safeType` varchar(20) DEFAULT '0' COMMENT '0未知,1安全软件,2病毒软件,3中风险软件,4低风险软件',
  `uses_permission` longtext COMMENT '应用权限',
  `update_info` longtext COMMENT '版本更新信息',
  `screenCompatibleNum` varchar(200) DEFAULT NULL COMMENT '支持的屏幕分辨率数字，有多个如1,2,3',
  `sdkVersion` varchar(20) DEFAULT '0' COMMENT '操作系统类型 1 -19 和server库相同',
  `searchTag` varchar(200) DEFAULT NULL COMMENT '搜索关键字，逗号分隔',
  `pubCountry` varchar(20) DEFAULT NULL COMMENT '发布国家',
  `linkManEmail` varchar(100) DEFAULT NULL COMMENT '联系人邮件',
  `linkManPhone` varchar(30) DEFAULT NULL COMMENT '联系人手机',
  `discription` longtext COMMENT '描述',
  `isVirus` varchar(50) DEFAULT NULL,
  `version` varchar(50) DEFAULT NULL COMMENT '版本',
  `detailId` varchar(50) DEFAULT NULL,
  `smallIcon` varchar(50) DEFAULT NULL,
  `totalCount` bigint(15) DEFAULT NULL,
  `mediumIcon` varchar(50) DEFAULT NULL,
  `virusIcon` varchar(50) DEFAULT NULL,
  `apkId` varchar(200) DEFAULT NULL COMMENT '包名',
  `minSDK` varchar(50) DEFAULT NULL,
  `starNum` varchar(50) DEFAULT NULL COMMENT '星级',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `downloadTotalNum` bigint(15) DEFAULT '0' COMMENT '下载次数',
  `largeIcon` varchar(50) DEFAULT NULL COMMENT '大图标',
  `md5` varchar(50) DEFAULT NULL COMMENT 'APK MD5',
  `md5Cert` varchar(50) DEFAULT NULL COMMENT '签名MD5',
  `webFrom` varchar(50) DEFAULT NULL COMMENT '开发商',
  `starTotal` bigint(20) DEFAULT NULL COMMENT '评论次数',
  `isFeatured` varchar(50) DEFAULT NULL,
  `isNewReleases` varchar(50) DEFAULT NULL,
  `indeximage` int(11) unsigned zerofill DEFAULT NULL COMMENT '是否为首页大图',
  `tuijian` int(11) unsigned zerofill DEFAULT NULL,
  `bendi_app` int(11) unsigned zerofill DEFAULT '00000000000',
  `bendiurl` int(11) unsigned zerofill DEFAULT NULL COMMENT '1为本地图片地址',
  `guanggao` int(11) unsigned zerofill DEFAULT '00000000000',
  `typeid` int(11) DEFAULT NULL COMMENT '1应用，2游戏,3,首页轮播图,4,专题，',
  `title` varchar(255) DEFAULT NULL COMMENT '专题名',
  `create_time` varchar(255) DEFAULT NULL COMMENT '专题图片',
  `description` varchar(255) DEFAULT NULL COMMENT '专题描述 ',
  `picture_path3` varchar(255) DEFAULT NULL,
  `picture_path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `typesId` (`typesId`),
  KEY `md5` (`md5`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


create table if not exists `tb_key` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key_name` varchar(255) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


create table if not exists `tb_channel` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `channelname` varchar(255) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `key` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
